Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Interface TypeExpressionParserTreeConstants

All Known Implementing Classes:
  TypeExpressionParser

public interface TypeExpressionParserTreeConstants

Field Summary
`static int` | `JJTALLPARAMETER`
`static int` | `JJTAND`
`static int` | `JJTATTRIBUTE`
`static int` | `JJTBOOLEAN`
`static int` | `JJTCLASS`
`static int` | `JJTCOMPOSITE`
`static int` | `JJTCONSTRUCTOR`
`static int` | `JJTEXCEPTION`
`static int` | `JJTFIELD`
`static int` | `JJTHAS`
`static int` | `JJTHASFIELD`
`static int` | `JJTMETHOD`
`static String[]` | `jjtNodeName`
`static int` | `JJTNOT`
`static int` | `JJTOR`
`static int` | `JJTPARAMETER`
`static int` | `JJTSTART`
`static int` | `JJTSUB`
`static int` | `JJTVOID`

Field Detail

### JJTSTART

    public static final int JJTSTART

See Also:
  Constant Field Values

### JJTVOID

    public static final int JJTVOID

See Also:
  Constant Field Values

### JJTBOOLEAN

    public static final int JJTBOOLEAN

See Also:
  Constant Field Values

### JJTCOMPOSITE

    public static final int JJTCOMPOSITE

See Also:
  Constant Field Values

### JJTNOT

    public static final int JJTNOT

See Also:
  Constant Field Values

### JJTSUB

    public static final int JJTSUB

See Also:
  Constant Field Values

### JJTAND

    public static final int JJTAND

See Also:
  Constant Field Values

### JJTOR

    public static final int JJTOR

See Also:
  Constant Field Values

### JJTHAS

    public static final int JJTHAS

See Also:
  Constant Field Values

### JJTHASFIELD

    public static final int JJTHASFIELD

See Also:
  Constant Field Values

### JJTMETHOD

    public static final int JJTMETHOD

See Also:
  Constant Field Values

### JJTATTRIBUTE

    public static final int JJTATTRIBUTE

See Also:
  Constant Field Values

### JJTCONSTRUCTOR

    public static final int JJTCONSTRUCTOR

See Also:
  Constant Field Values

### JJTPARAMETER

    public static final int JJTPARAMETER

See Also:
  Constant Field Values

### JJTALLPARAMETER

    public static final int JJTALLPARAMETER

See Also:
  Constant Field Values

### JJTFIELD

    public static final int JJTFIELD

See Also:
  Constant Field Values

### JJTCLASS

    public static final int JJTCLASS

See Also:
  Constant Field Values

### JJTEXCEPTION

    public static final int JJTEXCEPTION

See Also:
  Constant Field Values

### jjtNodeName

    public static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.